# $Revision: 1.18 $, $Date: 2004/07/15 16:32:43 $
Summary:	Kalamaris - mathematical application for KDE
Summary(pl):	Program matematyczny dla KDE
Name:		kalamaris
Version:	0.7.1
Release:	3
License:	GPL
Group:		Applications/Math
Source0:	http://devel-home.kde.org/~larrosa/bin/%{name}-%{version}.tar.bz2
# Source0-md5:	814c8c592dbf0ffe76b36ba157d8b2b4
Patch0:		%{name}-desktop.patch
URL:		http://devel-home.kde.org/~larrosa/kalamaris.html
BuildRequires:	automake
BuildRequires:	gmp-devel
BuildRequires:	kdelibs-devel >= 3.0
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%define		_noautoreqdep	libGL.so.1 libGLU.so.1

%description
Kalamaris is the next generation scientific applications. While
similar to Mathematica in some aspects, it offers a new approach to
solve mathematical problems in an easy and intuitive way.

%description -l pl
Kalamaris naley do nowej generacji naukowych aplikacji. Podczas gdy
jest podobny do Mathematica pod pewnymi wzgldami - oferuje nowe
moliwoci rozwizywania problemw matematycznych w atwy i intuicyjny
sposb.

%package examples
Summary:	Kalamaris - examples
Summary(pl):	Kalamaris - przyklady
Group:		Applications/Math

%description examples
Kalamaris is the next generation scientific applications. While
similar to Mathematica in some aspects, it offers a new approach to
solve mathematical problems in an easy and intuitive way.

%description examples -l pl
Kalamaris naley do nowej generacji naukowych aplikacji. Podczas gdy
jest podobny do Mathematica pod pewnymi wzgldami - oferuje nowe
moliwoci rozwizywania problemw matematycznych w atwy i intuicyjny
sposb.

%prep
%setup -q -n %{name}
%patch0 -p1

%build
cp -f /usr/share/automake/config.* admin
%configure \
	KDEDIR=%{_libdir} \
	--with-qt-includes=%{_includedir}/qt \
	--with-qt-libraries=%{_libdir} \
	--x-includes=%{_includedir}/kde \
	--with-extra-includes=%{_includedir}

%{__make}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT \
	applnkdir=%{_desktopdir}

%find_lang %{name} --with-kde

%clean
rm -rf $RPM_BUILD_ROOT

%files -f %{name}.lang
%defattr(644,root,root,755)
%doc README
%attr(755,root,root) %{_bindir}/kalamaris
%{_datadir}/apps/kalamaris
%{_desktopdir}/*.desktop

%files examples
%defattr(644,root,root,755)
%doc kalamaris/examples/*

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: kalamaris.spec,v $
Revision 1.18  2004/07/15 16:32:43  qboosh
- pass KDEDIR=libdir to fix build on amd64; release 3

Revision 1.17  2004/07/15 09:30:34  qboosh
- refresh config.sub

Revision 1.16  2004/07/15 09:27:19  qboosh
- added desktop patch, switched to vfolders
- drop forcing -fno-rtti (illegal here), -fno-exceptions (used anyway)
- release 2

Revision 1.15  2003/12/05 12:02:28  qboosh
- cleanups, shut up check-files, BR: gmp-devel

Revision 1.14  2003/12/05 00:05:15  undefine
- seems to work, release 1, fix url

Revision 1.13  2003/12/04 23:46:00  undefine
- typo

Revision 1.12  2003/12/04 23:41:16  undefine
- update to 0.7.1, release 0.1, not tested enought yet

Revision 1.11  2003/05/28 12:59:16  malekith
- massive attack: source-md5

Revision 1.10  2003/05/25 05:49:13  misi3k
- massive attack s/pld.org.pl/pld-linux.org/

Revision 1.9  2003/01/18 22:51:59  juandon
- removed two lines with define

Revision 1.8  2002/12/10 10:18:21  roman
- moved kalamaris.desktop from Applications to Scientific/Mathematics

Revision 1.7  2002/11/27 21:10:39  juandon
- new %%doc

Revision 1.6  2002/04/25 16:40:23  arturs
fixed a small typo

Revision 1.5  2002/02/22 23:29:05  kloczek
- removed all Group fields translations (our rpm now can handle translating
  Group field using gettext).

Revision 1.4  2002/01/18 02:13:28  kloczek
perl -pi -e "s/pld-list\@pld.org.pl/feedback\@pld.org.pl/"

Revision 1.3  2001/11/23 08:07:09  kloczek
- updated URL and Source url,
- switch to %%configure2_13 macro,
- some minor changes but still not compiles.

Revision 1.2  2001/11/22 14:43:12  qboosh
- adapterized, s/Copyright/License/

Revision 1.1  2000/11/01 23:42:56  pascalek
- initial revision
